API ReferenceManagementAudit
POST
/v1/mgmt/analytics/search

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

from?string
to?string
actions?array<string>
string
devices?array<string>
string
methods?array<string>
string
geos?array<string>
string
tenants?array<string>
string
groupByAction?boolean
groupByDevice?boolean
groupByMethod?boolean
groupByGeo?boolean
groupByTenant?boolean
groupByCreated?string
excludedActions?array<string>
string
groupByReferrer?boolean

Search analytics (summarized) data grouped by time periods, using a valid management key.

curl -X POST "https://api.descope.com/v1/mgmt/analytics/search" \  -H "Content-Type: application/json" \  -d '{}'
{  "analytics": [    {      "projectId": "string",      "action": "string",      "created": "string",      "device": "string",      "method": "string",      "geo": "string",      "tenant": "string",      "cnt": "string",      "referrer": "string"    }  ]}
export interface Response {analytics?: Analytic[]}export interface Analytic {projectId?: stringaction?: stringcreated?: stringdevice?: stringmethod?: stringgeo?: stringtenant?: stringcnt?: stringreferrer?: string}
Was this helpful?